<?php

namespace App\Http\Controllers\Api\mini;

use App\Models\User;
use Illuminate\Http\Request;

class UserController extends BaseController
{
    protected $model;

    public function __construct()
    {
        $this->model = new User();
    }

    public function search(Request $request)
    {
        $items = $this->model;
        $tmp_items = collect(['keyword']);
        foreach($tmp_items as $tmp_item) {
            if($request->has($tmp_item) && !empty($request->input($tmp_item))) {
                $items = $items->where('name', 'like', '%' . $request->input($tmp_item) . '%')->orWhere('phone', 'like', '%' . $request->input($tmp_item) . '%');
            }
        }

        $items = $items->limit(1)->get();

        foreach($items as $item) {
            $item->project = $item->projects->implode('name', ',');
            $item->project = $item->project ? $item->project : '暂未添加项目';
            $item->role = $item->project_roles->implode('name', ',');
            $item->role = $item->role ? $item->role : '暂未添加角色';
        }

        return $this->success(['msg' => '操作成功', 'data' => $items]);
    }
}
