<?php

namespace App\Models;

use Illuminate\Support\Facades\Auth;

class Project extends BaseModel
{

    public function getManager()
    {
        $role = ProjectRole::where('name', '经理')->first();
        if(!$role) return null;
        $res = ProjectUser::where([
            ['project_id', '=', $this['id']],
            ['project_role_id', '=', $role->id]
        ])->first();
        if($res) return User::find($res['user_id']);
        return false;
    }

    public function getUserProjectRole()
    {
        $user = Auth::guard('mini')->user();
        $project_user = ProjectUser::where([
            ['project_id', '=', $this['id']],
            ['user_id', '=', $user->id]
        ])->first();
        if($project_user) {
            return ProjectRole::find($project_user->project_role_id);
        }
        return null;
    }
}
