<?php

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


$api = app('Dingo\Api\Routing\Router');

$api->version('v1', ['namespace' => 'App\Http\Controllers\Api\mini', 'prefix' => 'api/mini', 'middleware' => 'mini'], function ($api) {
    $api->any('test', 'TestController@index');
    $api->any('login', 'AuthController@login');
    $api->any('reset', 'AuthController@reset');
    $api->any('loginByWechat', 'AuthController@loginByWechat');

    $api->any('projects/create', 'ProjectController@create');
    $api->any('projects/get', 'ProjectController@get');
    $api->any('projects/getAll', 'ProjectController@getAll');
    $api->any('projects/addUser', 'ProjectController@addUser');
    $api->any('projects/detail', 'ProjectController@detail');

    $api->any('project-roles/create', 'ProjectRoleController@create');
    $api->any('project-roles/get', 'ProjectRoleController@get');
    $api->any('project-roles/getAll', 'ProjectRoleController@getAll');

    $api->any('users/search', 'UserController@search');
});